## org.eclipse.datatools.modelbase.sql.routines.impl
Class SQLRoutinesFactoryImpl

    java.lang.Object
      EFactoryImpl
          org.eclipse.datatools.modelbase.sql.routines.impl.SQLRoutinesFactoryImpl

All Implemented Interfaces:
  SQLRoutinesFactory

public class SQLRoutinesFactoryImpl
extends EFactoryImpl
implements SQLRoutinesFactory

An implementation of the model Factory.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.eclipse.datatools.modelbase.sql.routines.SQLRoutinesFactory
`eINSTANCE`

Constructor Summary
`SQLRoutinesFactoryImpl()` Creates an instance of the factory.

Method Summary
`java.lang.String` `convertDataAccessToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertParameterModeToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertToString(EDataType eDataType, java.lang.Object instanceValue)`
`EObject` `create(EClass eClass)`
`BuiltInFunction` `createBuiltInFunction()`
`DataAccess` `createDataAccessFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.Object` `createFromString(EDataType eDataType, java.lang.String initialValue)`
`Function` `createFunction()`
`Method` `createMethod()`
`Parameter` `createParameter()`
`ParameterMode` `createParameterModeFromString(EDataType eDataType, java.lang.String initialValue)`
`Procedure` `createProcedure()`
`RoutineResultTable` `createRoutineResultTable()`
`Source` `createSource()`
`UserDefinedFunction` `createUserDefinedFunction()`
`static SQLRoutinesPackage` `getPackage()` Deprecated.
`SQLRoutinesPackage` `getSQLRoutinesPackage()`
`static SQLRoutinesFactory` `init()` Creates the default factory implementation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLRoutinesFactoryImpl

    public SQLRoutinesFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static SQLRoutinesFactory init()

  Creates the default factory implementation.

### create

    public EObject create(EClass eClass)

### createFromString

    public java.lang.Object createFromString(EDataType eDataType,
                                             java.lang.String initialValue)

### convertToString

    public java.lang.String convertToString(EDataType eDataType,
                                            java.lang.Object instanceValue)

### createSource

    public Source createSource()

  Specified by:
    `createSource` in interface `SQLRoutinesFactory`
  Returns:
    a new object of class 'Source'.

### createParameter

    public Parameter createParameter()

  Specified by:
    `createParameter` in interface `SQLRoutinesFactory`
  Returns:
    a new object of class 'Parameter'.

### createProcedure

    public Procedure createProcedure()

  Specified by:
    `createProcedure` in interface `SQLRoutinesFactory`
  Returns:
    a new object of class 'Procedure'.

### createFunction

    public Function createFunction()

  Specified by:
    `createFunction` in interface `SQLRoutinesFactory`
  Returns:
    a new object of class 'Function'.

### createRoutineResultTable

    public RoutineResultTable createRoutineResultTable()

  Specified by:
    `createRoutineResultTable` in interface `SQLRoutinesFactory`
  Returns:
    a new object of class 'Routine Result Table'.

### createMethod

    public Method createMethod()

  Specified by:
    `createMethod` in interface `SQLRoutinesFactory`
  Returns:
    a new object of class 'Method'.

### createUserDefinedFunction

    public UserDefinedFunction createUserDefinedFunction()

  Specified by:
    `createUserDefinedFunction` in interface `SQLRoutinesFactory`
  Returns:
    a new object of class 'User Defined Function'.

### createBuiltInFunction

    public BuiltInFunction createBuiltInFunction()

  Specified by:
    `createBuiltInFunction` in interface `SQLRoutinesFactory`
  Returns:
    a new object of class 'Built In Function'.

### createDataAccessFromString

    public DataAccess createDataAccessFromString(EDataType eDataType,
                                                 java.lang.String initialValue)

### convertDataAccessToString

    public java.lang.String convertDataAccessToString(EDataType eDataType,
                                                      java.lang.Object instanceValue)

### createParameterModeFromString

    public ParameterMode createParameterModeFromString(EDataType eDataType,
                                                       java.lang.String initialValue)

### convertParameterModeToString

    public java.lang.String convertParameterModeToString(EDataType eDataType,
                                                         java.lang.Object instanceValue)

### getSQLRoutinesPackage

    public SQLRoutinesPackage getSQLRoutinesPackage()

  Specified by:
    `getSQLRoutinesPackage` in interface `SQLRoutinesFactory`
  Returns:
    the package supported by this factory.

### getPackage

    public static SQLRoutinesPackage getPackage()

  Deprecated.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.